scipy (1.15.2-7) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Mar 2025 17:40:11 +0100

scipy (1.15.2-6) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency
  * i386 with blis: skip test_size_0 not solve_continuous_lyapunov

 -- Drew Parsons <dparsons@debian.org>  Mon, 17 Mar 2025 14:27:06 +0100

scipy (1.15.2-5) unstable; urgency=medium

  * debian/tests: skip test_splu on i386 with blis

 -- Drew Parsons <dparsons@debian.org>  Sat, 15 Mar 2025 11:40:32 +0100

scipy (1.15.2-4) unstable; urgency=medium

  * debian/tests: skip solve_continuous_lyapunov on i386 with blis
  * alpha: skip test_eval_chebyt_gh20129, test_rvs_gh18372

 -- Drew Parsons <dparsons@debian.org>  Thu, 13 Mar 2025 18:23:36 +0100

scipy (1.15.2-3) unstable; urgency=medium

  * debian/tests: skip test_trcon on i386 with blis
  * alpha: skip test_hyp0f1 in special test_basic (segfaults)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Mar 2025 16:32:21 +0100

scipy (1.15.2-2) unstable; urgency=medium

  * skip failing tests
    - powerpc/hppa: some TestCSCNonCanonical tests
    - hppa: selected landau tests

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Mar 2025 12:47:12 +0100

scipy (1.15.2-1exp7) experimental; urgency=medium

  * fix powerpc/hppa test skips

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Mar 2025 12:20:53 +0100

scipy (1.15.2-1exp6) experimental; urgency=medium

  * debian patch ndimage_segfault_filter_mirror_PR22608.patch applies
    upstream PR#22608 to fix a segfault in ndimage filtering in mirror
    mode. Needed for datalab to pass tests (#1098652). Closes: #1098652
  * skip failing tests
    - hurd: test_backend_plan (also requires threading)
    - powerpc: test_simple_det_shapes_real_complex,
      all test_dot in TestMikotaPair,
      various sparse matrix tests
    - apply all powerpc skips related to complex, 64-bit and sparse
      to hppa

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Mar 2025 10:51:12 +0100

scipy (1.15.2-1exp5) experimental; urgency=medium

  * fix powerpc int64 test skips
  * hurd: skip tests affected by incompatible threading module
  * skip failing tests
    - hppa: another test_QRVS_shape_consistency[*NumericalInversePolynomial]
    - hurd-i386: test_ignore_shape_range, test_QRVS_size_tuple

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Mar 2025 12:32:01 +0100

scipy (1.15.2-1exp4) experimental; urgency=medium

  * fix ppc64 test skips
  * skip more tests
    - mips64el: skip test_nan_array and more cases of
      test_axis_nan_policy_axis_is_None (upstream Issue#22360)
    - hppa: test_QRVS_shape_consistency[...NumericalInversePolynomial]
    - hurd-i386: test_setting_loc_scale
    - powerpc: skip tests involving 64-bit (or 128-bit) numbers
    - sparc64: skip special test_extending.py::test_cython

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Feb 2025 21:55:15 +0100

scipy (1.15.2-1exp3) experimental; urgency=medium

  * python3-scipy Recommends: python3-yaml.
    The stdout mode will give more readable output if `pyyaml`
    (yaml) is installed.
    - debian/tests Depends: python3-yaml
      (avoid test error due to pyyaml warning in stderr)
  * skip failing tests
    - riscv64 hppa sparc64: skip test_nan_inputs[sph_harm]
    - hurd-i386: test_domain_argus_large_chi
    - powerpc, ppc64: test_hyp0f1, test_eval_chebyt_gh20129endif
    - sparc64: cython (complex) and stats (nan) failing
      see https://github.com/scipy/scipy/issues/22577

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Feb 2025 11:21:46 +0100

scipy (1.15.2-1exp2) experimental; urgency=medium

  * debian/rules: drop special handling of libhighs.a, which is no
    longer installed by upstream (PR#22357)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 23:35:33 +0100

scipy (1.15.2-1exp1) experimental; urgency=medium

  * New upstream release
    - applies debian patch spline_GCVSPL_enddian_PR22345.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Feb 2025 21:41:46 +0100

scipy (1.15.1-1exp3) experimental; urgency=medium

  * extend test_nan_policy_array_22360.patch to all permutations of
    asanyarray() vs asarray(), np from numpy or scipy,
    axis=None, 0 or default (which should be None).

 -- Drew Parsons <dparsons@debian.org>  Tue, 21 Jan 2025 12:51:00 +0100

scipy (1.15.1-1exp2) experimental; urgency=medium

  * debian/tests/python3: report system info and versions
    as required for upstream bug reports
  * report test durations (slowest 20) for build-time tests to
    identify slow tests (especially for hppa)
  * debian patch spline_GCVSPL_enddian_PR22345.patch applies upstream
    PR#22345 to prevent spline GCVSPL enddian failure
    (for s390x, powerpc, ppc64). See upstream issue #22361.
  * update manage_tests.patch to relax tolerance in special test
    TestHyp2f1.test_region3 case23 (for i386).
    See upstream Issue#22363.
  * debian patch test_nan_policy_array_22360.patch applies a test
    suggested upstream to help diagnose a problem with nan arrays
    in test_axis_nan_policy_axis_is_None[mixed-*-xp*] on mips64el.
    See upstream issue #22360.

 -- Drew Parsons <dparsons@debian.org>  Mon, 20 Jan 2025 22:58:50 +0100

scipy (1.15.1-1exp1) experimental; urgency=medium

  * New upstream release
    - update versioned Build-Depends: python3-pybind11 (>= 2.13.2~)
    - Build-Depends-Indep: python3-sphinx-copybutton,
      python3-jupytext <!nodoc>
    - applies debian patch fix_scipydoc_directive_PR20976.patch
      and quadpack_C_PR21201.patch
    - deprecates debian patch scipy-ub-float-to-int.patch
      (see upstream PR#21553)
  * update debian/copyright to add new or moved submodules
    - scipy/_lib/array_api_compat
      Copyright: 2022 Consortium for Python Data API Standards
      License: MIT
    - scipy/_lib/array_api_extra
      Copyright: 2024 Consortium for Python Data API Standards
      License: MIT
    - scipy/_lib/cobyqa
      Copyright: 2021-2024, Tom M. Ragonneau and Zaikun Zhang
      License: BSD-3-Clause
    - scipy/_lib/pocketfft/*
      Copyright: 2010-2018 Max-Planck-Society
      License: BSD-3-Clause
    - subprojects/highs/*
      Copyright: 2024 HiGHS
      License: MIT
    - special/special moved to special/xsf
    - id_dist and lbfgsb_src replaced with new python and C code
    - scipy.misc is deprecated and mostly removed
  * update debian patch manage_docs.patch
    - skip intersphinx_registry (not packaged for debian) and use
      intersphinx links as defined in registry.json at
      https://github.com/Quansight-Labs/intersphinx_registry
    - add mpmath docs, Build-Depends-Indep: python-mpmath-doc <!nodoc>
    - don't treat doc warnings as errors, print them only (default)
  * debian patch manage_tests.py: relax tolerance for
    TestAAA.test_basic_functions np.exp(-100*x**2) in interpolate
    test_bary_rational.py to allow passing with generic netlib BLAS or
    ATLAS. See upstream issue #22355.
  * debian/rules: add symlinks to subprojects which are now included
    in submodules source package (currently contains highs)
  * scipy now uses a C implementation of L-BFGS-B, and the C calling is
    not easily compatible with the fortran liblbfgsb-dev package
    without further patching. Upstream liblbfgsb-dev has not been
    updated since 2011. Time to let scipy do its own thing with
    L-BFGS-B.
    - drop debian patch Use-system-LBFGSB.patch
    - drop Build-Depends: liblbfgsb-dev
    - renable L-BFGS (optimize.rosen) test in test_optimize.py.
      i.e. stop skipping it in debian patch manage_tests.patch
  * debian/rules: remove excess copies of the libhighs.a static
    library from version-specific python paths after dh_python3. It is
    probably a bug to install it anyway (upstream Issue#22349)

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Jan 2025 18:39:33 +0100

scipy (1.14.1-4) unstable; urgency=medium

  * skip special and stats complex number tests that fail with numpy 2
    on mips64el. See upstream Issue#21393. Closes: #1094477.

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Jan 2025 22:50:41 +1100

scipy (1.14.1-3) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Enable parallel building.

  [ Drew Parsons ]
  * hppa: skip test_QRVS_shape_consistency
    [1-d_out1-size_in4-size_out4-qrng1-NumericalInversePolynomial]
  * update debian patch manage_docs.patch to renable html_sidebars
    provided by python3-pydata-sphinx-theme

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Dec 2024 21:00:32 +0100

scipy (1.14.1-2) unstable; urgency=medium

  * add debian patches to manage multiple python versions
    - special_libsf_error_SOABI.patch builds libsf_error.so
      with the python platform compatibility tag ('SOABI') appended to
      the library name. libsf_error uses Python.h and is therefore not
      a pure standalone C library independent of python version.
      Removes need for dh_python3 --no-ext-rename.
    - scipy_config_SOABI.patch adds platform compatibility tag
      ('SOABI') to __config__.py, which provides meson build
      information about the scipy build
  * debian patch scipy-ub-float-to-int.patch fixes undefined behaviour
    (UB) handling in expm for riscv64. Thanks Aurelien Jarno.
    Closes: #1086108.
  * python3-scipy Recommends: python3-pooch. Used by the datasets
    submodule. Closes: #1086956.

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 Nov 2024 00:37:01 +0100

scipy (1.14.1-1exp1) experimental; urgency=medium

  * New upstream release.
    - applies debian patch
      0013-MAINT-Unskip-scipy.misc.test.test_decorator-for-Pyth.patch

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Nov 2024 15:09:56 +0100

scipy (1.14.0-1exp5) experimental; urgency=medium

  * mip64el: skip flakey TestExpmFrechet (linalg test_matfuncs.py)
  * hppa: skip more test_QRVS_shape_consistency

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Aug 2024 17:07:11 +0200

scipy (1.14.0-1exp4) experimental; urgency=medium

  * mips64el: skip failing variants of test_axis_nan_policy_axis_is_None
    (stats test_axis_nan_policy.py)
  * add hppa to the NEEDS_NUMPY2 list (skip test_cython)

 -- Drew Parsons <dparsons@debian.org>  Mon, 26 Aug 2024 09:23:15 +0200

scipy (1.14.0-1exp3) experimental; urgency=medium

  * run dh_python3 with --no-ext-rename instead of manipulating
    libsf_error_state.so manually. mesonpy already instructs cython to
    build python extensions with arch labels, so don't need extension
    renaming from dh_python3. See Bug#1079496.
  * update test skips
    - mips64el: skip test_random_matrices_and_powers
    - x32: reenable TestKSTwoSamples.test_gh12218. The dot was not
      recognised (must be test_gh12218 alone), but the test is
      naturally skipped with scipy 1.14 anyway.
    - add alpha to the test_cython (Numpy 2) skip list

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Aug 2024 10:05:09 +0200

scipy (1.14.0-1exp2) experimental; urgency=medium

  * debian/rules: shift scipy/special/libsf_error_state.so to
    libsf_error_state while running dh_python3. It is a "normal"
    shared library not a python extension, but dh_python3 would rename
    it as if it were a python extension, causing runtime failure
    finding the library. dh_python3 -X does not exclude that (see
    Bug#1079496). Closes: #1078540.
  * mips64el powerpc ppc64: skip test_cython (special test_extending)
    Needs complex type changes from numpy 2 to pass.
    See https://github.com/scipy/scipy/issues/21393
  * skip more failing tests
    - mips64el: test_2x2_input (linalg test_matfuncs.py::TestExpM)
    - hppa: more test_QRVS_shape_consistency variants
    - x32: TestKSTwoSamples.test_gh12218 (gets MemoryError)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2024 02:16:41 +0200

scipy (1.14.0-1exp1) experimental; urgency=medium

  * New upstream release
    - applies debian patch test_singular_tol_PR20914.patch
    - special/cephes moved to special/special/cephes
  * debian patch fix_scipydoc_directive_PR20976.patch applies upstream
    PR#20976 to fix doc build (needs StringList not ViewList)
  * update debian patch manage_docs.patch
    (theme-switcher is not available)

 -- Drew Parsons <dparsons@debian.org>  Mon, 12 Aug 2024 00:42:15 +0200

scipy (1.13.1-6) unstable; urgency=medium

  * Team upload.
  * d/patches: update metadata.
  * Cherry-pick patch from upstream to fix the build with Python 3.13.
    Closes: #1081692

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 15 Nov 2024 00:59:00 +0100

scipy (1.13.1-5) unstable; urgency=medium

  * skip more failing tests
    - mips64el: test_2x2_input test_nx2x2_input
      (from linalg test_matfuncs.py::TestExpM)
    - hppa: more test_QRVS_shape_consistency variants
    - x32: TestKSTwoSamples.test_gh12218 (gets MemoryError)

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2024 10:24:03 +0200

scipy (1.13.1-4) unstable; urgency=medium

  * revert python3-scipy back to Multi-Arch: no.
    The arch is recorded inside some installed (plain text) files
    e.g. scipy-*.dist-info/WHEEL, scipy/__config__.py
    Closes: #1078977.
  * skip failing tests
    - alpha: test_read_over64bit_integer_sparse
    - hppa: test_svd_gesdd_nofegfault

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Aug 2024 01:07:47 +0200

scipy (1.13.1-3) unstable; urgency=medium

  * alpha: skip test_read_over64bit_integer_dense
  * hppa: skip next test_QRVS_shape_consistency (qrng2)
  * drop mipsel, ia64 test skips. Architectures no longer supported.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Aug 2024 18:19:53 +0200

scipy (1.13.1-2) unstable; urgency=medium

  * hppa: skip another test_QRVS_shape_consistency test case
    (stats test_sampling.py)

 -- Drew Parsons <dparsons@debian.org>  Wed, 31 Jul 2024 18:43:22 +0200

scipy (1.13.1-1exp15) experimental; urgency=medium

  * debian patch quadpack_C_PR21201.patch applies upstream PR#21201 to
    refactor quadpack in C instead of fortran. Closes: #1074318.

 -- Drew Parsons <dparsons@debian.org>  Tue, 23 Jul 2024 15:31:31 +0200

scipy (1.13.1-1exp14) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_nan_inputs[airye] from special

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Jul 2024 00:22:38 +0200

scipy (1.13.1-1exp13) experimental; urgency=medium

  * riscv64 hppa sparc64: skip tests in signal test_cont2discrete.py
    and elsewhere:
    test_random_matrices_and_powers test_2x2_input test_nx2x2_input
    test_zoh test_foh test_transferfunction test_zerospolesgain
    test_discrete_approx test_simo_tf test_multioutput
    TestC2dLti TestC2dInvariants TestStep
    test_second_order test_integrator test_double_integrator
    test_jordan_block test_array_like test_operators test_expm

 -- Drew Parsons <dparsons@debian.org>  Mon, 08 Jul 2024 10:24:38 +0200

scipy (1.13.1-1exp12) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_multioutput (signal cont2discrete)

 -- Drew Parsons <dparsons@debian.org>  Sat, 06 Jul 2024 23:04:18 +0200

scipy (1.13.1-1exp11) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_simo_tf
    (signal test_cont2discrete.py)

 -- Drew Parsons <dparsons@debian.org>  Fri, 05 Jul 2024 00:07:28 +0200

scipy (1.13.1-1exp10) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_zerospolesgain test_discrete_approx
    (from signal test_cont2discrete.py)

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jul 2024 18:42:09 +0200

scipy (1.13.1-1exp9) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_transferfunction

 -- Drew Parsons <dparsons@debian.org>  Tue, 02 Jul 2024 09:58:12 +0200

scipy (1.13.1-1exp8) experimental; urgency=medium

  * make docs with HOME=/tmp (cf. matplotlib doc build) to avoid error:
    '/sbuild-nonexistent' is not a writable location
  * riscv64 hppa sparc64: skip test_foh

 -- Drew Parsons <dparsons@debian.org>  Mon, 01 Jul 2024 11:07:05 +0200

scipy (1.13.1-1exp7) experimental; urgency=medium

  * riscv64 hppa sparc64: skip test_zoh (signal test)
  * use intersphinx to link docs
    - update debian patch manage_docs.patch
    - drop debian patch 0018-Drop-intersphinx.patch
    - Build-Depends-Indep: python-matplotlib-doc, python-numpy-doc,
      python-statsmodels-doc <!nodoc>
  * build docs using JUPYTER_PLATFORM_DIRS=1
    (for jupyter_cache used by myst_nb)

 -- Drew Parsons <dparsons@debian.org>  Wed, 19 Jun 2024 11:05:59 +0200

scipy (1.13.1-1exp6) experimental; urgency=medium

  * skip TestExp (linalg test_matfuncs.py) on riscv64 hppa sparc64

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Jun 2024 17:11:04 +0200

scipy (1.13.1-1exp5) experimental; urgency=medium

  * add mips64el to the verbose test list
  * skip failing tests
    - riscv64 hppa sparc64: test_nx2x2_input
      (from linalg test_matfuncs.py TestExpM)
    - powerpc: test_svd_gesdd_nofegfault (linalg test_decomp.py)

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Jun 2024 10:40:56 +0200

scipy (1.13.1-1exp4) experimental; urgency=medium

  * skip test_random_matrices_and_powers and test_2x2_input
    on riscv64 hppa sparc64

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jun 2024 22:58:37 +0200

scipy (1.13.1-1exp3) experimental; urgency=medium

  * add mips64el to the TestLogM skip list
  * riscv64 and sparc64 time out. Run verbose tests to see where they
    got stuck.
  * hppa: skip test_random_matrices_and_powers

 -- Drew Parsons <dparsons@debian.org>  Fri, 07 Jun 2024 22:59:54 +0200

scipy (1.13.1-1exp2) experimental; urgency=medium

  * i386: skip test_svd_gesdd_nofegfault (MemoryError)
  * skip linalg test_matfuncs.py::TestLogM on failing arches,
    riscv64 hppa sparc64
  * debian patch test_singular_tol_PR20914.patch applies upstream
    PR#20914 to relax tolerance enabling linalg test_singular to pass
    against generic (netlib) BLAS.

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Jun 2024 22:28:40 +0200

scipy (1.13.1-1exp1) experimental; urgency=medium

  * New upstream release
    - Build-Depends: python3-pybind11 (>= 2.12.0~)
    - debian/copyright: drop pocketfft_hdronly.h
  * drop deprecated debian patch docs_privacy.patch
  * Build-Depends-Indep: python3-myst-nb for doc build
    - stop skipping myst-nb in debian patch manage_docs.patch
  * update debian patch manage_docs.patch
    - skip the jupyterlite_sphinx extension (not yet available on
      Debian)
    - deactivate missing template resources "search-button-field",
      "version-switcher", "generate_toctree_html".
      They are not provided with the doc source hence build fails.

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jun 2024 19:13:55 +0200

scipy (1.12.0-2) unstable; urgency=medium

  * hppa: skip test_QRVS_shape_consistency[NumericalInversePolynomial]
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Mon, 03 Jun 2024 18:05:55 +0200

scipy (1.12.0-1exp3) experimental; urgency=medium

  * skip tests with memory or other issues in 32-bit
    - powerpc: test_against_anderson_gumbel_r test_gh12218
    - armel: skip same stats tests as armhf
  * run build tests verbose (-v) on all 32-bit arches

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 May 2024 10:17:16 +0200

scipy (1.12.0-1exp2) experimental; urgency=medium

  * on armhf, i386, hppa, powerpc, skip test_random_state
    test_against_anderson_gumbel_r test_bootstrap_against_R
    test_bootstrap_against_itself_1samp, etc
    to avoid memory failure and random crashes
  * use test verbose flag (-v) on armhf, powerpc
    to identify crashing tests

 -- Drew Parsons <dparsons@debian.org>  Thu, 23 May 2024 01:33:34 +0200

scipy (1.12.0-1exp1) experimental; urgency=medium

  * New upstream release
    - update versioned Build-Depends:
      cython3,
      python3-mesonpy (>= 0.15.0~),
      python3-doit (>= 0.36.0~),
      python3-numpy (>= 1:1.26.0~),
      python3-pythran (>= 0.15.0~)
    - Depends: python3-hypothesis for tests
  * remove redundant debian patch qhull-lfs.patch
    (would need to add to meson.build if still relevant)
  * link to all submodules in submodules/scipy/_lib
  * add Drew Parsons to uploaders

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 May 2024 14:41:42 +0200

scipy (1.11.4-10) unstable; urgency=medium

  * Team upload.
  * update debian/tests
    - test default python only on riscv64 to avoid timeout
    - drop atlas BLAS tests, since atlas is deprecated (Bug#1070013),
      times out on riscv64 and fails specific tests elsewhere
    - report durations of slowest 20 tests

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 May 2024 20:23:08 +0200

scipy (1.11.4-9) unstable; urgency=medium

  * Team upload.
  * debian/tests: fix handling of verbose flag (used for riscv64)

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 May 2024 18:49:39 +0200

scipy (1.11.4-8) unstable; urgency=medium

  * Team upload.
  * multi-Ellipsis indexing in sparse will be dropped in scipy 1.13
    see https://github.com/scipy/scipy/pull/18541
    It fails tests now so skip test_multiple_ellipsis_slicing
    and reinstate later for scipy 1.13. Closes: #1069377.

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 May 2024 18:41:16 +0200

scipy (1.11.4-7) unstable; urgency=medium

  * Team upload.
  * skip build-time tests
    - hppa: test_onenormest_linear_operator
      test_against_anderson_gumbel_r
      test_gh12218 test_bootstrap_against_R
      bootstrap_against_itself_1samp[basic-1780]
      test_bootstrap_against_itself_1samp[percentile-1784]
      test_bootstrap_against_itself_1samp[BCa-1784]
    - hurd-i386: test_ttest_many_dims

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 May 2024 15:43:21 +0200

scipy (1.11.4-6) unstable; urgency=medium

  * Team upload.
  * debian/tests: set default (empty) value of VERBOSE_TESTS
  * hurd-i386: skip test_gh12218

 -- Drew Parsons <dparsons@debian.org>  Fri, 23 Feb 2024 13:24:19 +0100

scipy (1.11.4-5) unstable; urgency=medium

  * Team upload.
  * skip build-time tests
    - hurd-i386: test_logpdf_pdf_consistency
    - ia64: test_examples[True-complex64] (test_propack)
    - sparc64: test_milp_timeout_16545
  * debian/tests: skip failing tests on i386
    - with atlas: test_propack
    - with blis: test_dtypes (in sparse/linalg test_lobpcg.py)
  * debian/tests: run riscv64 tests verbose (-v) to identify
    which tests are timing out, and skip test_maxiter_worsening[lgmres]
    to match debian/rules

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Feb 2024 17:20:19 +0100

scipy (1.11.4-4) unstable; urgency=medium

  * Team upload.
  * skip test_hermitian (scipy/linalg test_lobpcg) on i386
  * use EXTRA_TEST_FLAGS (-v) with hurd-i386, hppa and ia64 to
    identify which tests are failing

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Feb 2024 15:53:59 +0100

scipy (1.11.4-3) unstable; urgency=medium

  * Team upload.
  * skip test_gh12218 on armhf

 -- Drew Parsons <dparsons@debian.org>  Sun, 18 Feb 2024 10:20:50 +0100

scipy (1.11.4-2) unstable; urgency=medium

  * Team upload.
  * skip test_gh12218 on armel

 -- Drew Parsons <dparsons@debian.org>  Sat, 17 Feb 2024 09:49:20 +0100

scipy (1.11.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * skip tests. Closes: #1061605.
    - armel: test_some_code_paths (stats TestKSTwoSamples)
    - sparc64: test_distance_transform_cdt05 (ndimage)

 -- Drew Parsons <dparsons@debian.org>  Thu, 15 Feb 2024 14:19:46 +0100

scipy (1.11.1-1exp2) experimental; urgency=medium

  * Team upload.
  * update debian patch manage_tests.patch to use assert_allclose
    to compare floating point values in test_bootstrap_alternative in
    stats test_resampling.py. Needed on i386, see upstream Issue#20043.
  * skip failing tests
    - armel: test_sparse_dense_divide
    - i386: test_pdf_nolan_samples test_cdf_nolan_samples
    - mips64el: test_nanminmax
    - riscv64: test_milp_timeout_16545
    - s390x, hppa, powerpc, ppc64: test_distance_transform_cdt05
  * update Build-Depends: pkgconf rather than pkg-config

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Feb 2024 00:59:34 +0100

scipy (1.11.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - submodule _lib/boost renamed to _lib/boost_math
    - applies debian patch link_atomics_PR17777.patch
    - use -m pytest (build-time) and in-python scipy.tests() (runtime
      debian/tests) to run tests since runtests.py has been removed.
      Upstream now uses dev.py but it requires pydevtool, which is not
      yet packaged for debian (RFP Bug#1062827).
  * x32: skip test_continuing
  * report full tarball pathname in debian/get-submodules
    to ease file handling
  * drop deprecated debian patch docs_no_sphinx_design.patch
  * update versioned Build-Depends: python3-mesonpy (>= 0.12.1~),
      python3-numpy (>= 1:1.21.6~),
      python3-pybind11 (>= 2.10.4~),
      python3-pythran (>= 0.12.0~)
  * for docs, Build-Depends-Indep: python3-sphinx-design
    instead of python3-sphinx-panels,
  * debian patch cblas_in_blas.patch drops an explicit dependency on
    cblas (libcblas.so). On Debian the cblas symbols are built into
    libblas.so.
  * clean files generated by meson.build (see special/meson.build)
    Remove python3.* __config__.py, retain the one generated by the
    default python.
  * update debian patch manage_docs.patch to drop myst_nb
    (not yet packaged for debian)

 -- Drew Parsons <dparsons@debian.org>  Sun, 04 Feb 2024 13:03:07 +0100

scipy (1.10.1-10) unstable; urgency=medium

  * Team upload.
  * rewrite link_atomics_PR17777.patch to only test __atomic_add_fetch
    and drop __atomic_load_n. PR#17777 had actually already been
    applied, but gcc on armel does not define __atomic_load_n.
    see upstream issue #19982.

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jan 2024 14:08:13 +0100

scipy (1.10.1-9) unstable; urgency=medium

  * Team upload.
  * debian patch link_atomics_PR17777.patch applies upstream PR#17777
    to link to atomics symbols where required (armel).

 -- Drew Parsons <dparsons@debian.org>  Sun, 28 Jan 2024 04:52:33 +0100

scipy (1.10.1-8) unstable; urgency=medium

  * Team upload.
  * reinstate Build-Depends: python3-pythran
  * drop python3-scipy Depends: python3-pythran
    pythran is used at build time, not needed at runtime.
    Closes: #1020561.

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Jan 2024 19:07:55 +0100

scipy (1.10.1-7) unstable; urgency=medium

  * Team upload
  * Build-Depends on cython3-legacy instead of cython3
    (Closes: #1056888)
  * Drop dependencies on RC buggy python3-pythran

 -- Graham Inggs <ginggs@debian.org>  Sat, 06 Jan 2024 14:54:22 +0000

scipy (1.10.1-6) unstable; urgency=medium

  * Team upload
  * Allow building with Python 3.12

 -- Graham Inggs <ginggs@debian.org>  Tue, 05 Dec 2023 13:22:12 +0000

scipy (1.10.1-5) unstable; urgency=medium

  * Team upload.
  * x32: skip test_reset (in test_qmc.py)
  * skip ellint_rg_xy0_ipp-ellint_rg_xy0 on i386 also in runtime tests
    (debci from debian/tests)

 -- Drew Parsons <dparsons@debian.org>  Fri, 27 Oct 2023 11:24:17 +0200

scipy (1.10.1-4) unstable; urgency=medium

  * Team upload.
  * x32: skip test_svd_random_state_2
  * i386, hurd-i386, x32: skip ellint_rg_xy0_ipp-ellint_rg_xy0, i.e.
    test_boost[<Data for elliprg: ellint_rg_xy0_ipp-ellint_rg_xy0>]
    at build-time on i386-related arches

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Oct 2023 15:26:15 +0200

scipy (1.10.1-3) unstable; urgency=medium

  * Team upload.
  * x32: skip test_continuing
  * drop pythran upper version in Build-Depends.
    Apparently pythran 0.14 fixed some things, cf. upstream issues
    scipy#19150, pythran#2139, scipy PR#19191. Furthermore, the upper
    bound is only added upstream to release branches, it is not used in
    the main development branch. That is, the upper bound is only
    provided for pypi (pip) stability, it is not a strict requirement.
    Closes: #1053527.
  * remove doc/source/fontlist*.json before dh_clean. Closes: #1046493.

 -- Drew Parsons <dparsons@debian.org>  Sun, 22 Oct 2023 13:20:03 +0200

scipy (1.10.1-2) unstable; urgency=medium

  * Team upload.
  * armhf with openblas: skip test_L3
    test_svd_return_singular_vectors[shape1-True]
    test_m_gt_n test_pteqr test_SR1_skip_update
    test_symmetric_starting_vector
  * hppa: skip test_bootstrap_against_theory (not enough memory)
  * x32: skip test_sample (test_qmc.py)

 -- Drew Parsons <dparsons@debian.org>  Wed, 01 Mar 2023 15:41:11 +0100

scipy (1.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - bug fixes and stability improvements.
      Upload for bookworm (Bug#1032073).
    - applies debian patches
      find_cython3.patch
      fix_cast_PR17726.patch
      fix_highs_atomic_PR17777.patch
      pythran_type_PR16646.patch
      readonly_interpolate_PR17717.patch
  * allow optional VERSION argument for debian/get-submodules
    gbp import-orig, for instance, needs the submodule source to be
    already downloaded (before reported in debian/changelog).
    Submodule source is generated strictly for the indicated version
    if the git tag v$VERSION is available, otherwise git HEAD is used.
    - document submodule handling in debian/README.source.
    - note that get-submodules requires rsync
  * debian/copyright: add entry for submodules/scipy/_lib/boost
    License: Boost-1.0, 2008 John Maddock (boost/math) and other
    contributors. scipy only uses boost/math, the submodule will be
    simplified to booth_math in the future (upstream PR#17432).
  * x32: skip test_random_generator during build
  * riscv64 with atlas: skip runtime test test_aligned_mem
  * debian patch docs_privacy.patch deactivates net analytics sent to
    views.scientific-python.org. The site itself respects privacy, but
    traffic monitoring in the middle might breach privacy.
  * some dataset tests require internet: test_existence_all
    test_ascent test_face test_electrocardiogram.
    Run them separately in debian/tests/python3-network.

 -- Drew Parsons <dparsons@debian.org>  Tue, 28 Feb 2023 22:38:09 +0100

scipy (1.10.0-12) unstable; urgency=medium

  * Team upload.
  * x32: skip test_bounds during build
  * armhf with openblas: skip intermittently failing tests
    test_random_complex_exact test_L7 test_sygst
    test_various_drivers_standard test_various_drivers_generalized
    test_broyden1 test_broyden2 test_gejsv_general
    test_BFGS_skip_update test_tolerance_float32

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Feb 2023 16:12:32 +0100

scipy (1.10.0-11) unstable; urgency=medium

  * Team upload.
  * x32: skip test_1sample during build
  * armhf with openblas: skip more failing tests.
    test_tpqrt_tpmqrt test_cossin_separate test_orcsd_uncsd
    test_eigs_consistency[20-0.001] test_random_initial_float32
    test_pdist_out test_lsqr_basic test_pascal test_atol_rtol

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Feb 2023 22:45:22 +0100

scipy (1.10.0-10) unstable; urgency=medium

  * Team upload.
  * x32: skip test_0sample during build
  * armhf with openblas: arch is flaky, tests fail intermittently.
    Skip test_cdist_out test_cdist_calling_conventions
    test_orcsd_uncsd[float64] test_L1 test_L4
    test_random_exact test_random_tall_left test_random_tall_right
    test_svd_random_state_2[random_state test_svd_random_state_3
    test_svd_linop test_ElasticRod
    test_small_sigma_sparse[float32-shape1] test_small_sigma2[float]
    test_interpolation_misfit_1d test_svds_parameter_k_which[LM-5]
    test_Small test_failure_to_run_iterations
    test_precond_inverse[case1] test_examples
  * Consider using armhf with atlas or blis, not openblas.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Feb 2023 10:34:17 +0100

scipy (1.10.0-9) unstable; urgency=medium

  * Team upload.
  * x32: skip test_0dim during build
  * armhf with openblas: skip failing sparse.linalg runtime tests
    eigen/lobpcg: test_MikotaPair test_diagonal[100-4-3] test_maxit
    eigen/svds: test_svd_random_state_3[random_state*
    isolve: test_precond_inverse[case1]
    propack: test_examples

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Feb 2023 19:36:32 +0100

scipy (1.10.0-8) unstable; urgency=medium

  * Team upload.
  * x32: skip test_integers_nd during build

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 23:07:52 +0100

scipy (1.10.0-7) unstable; urgency=medium

  * Team upload.
  * x32: skip test_perm_discrepancy during build

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 20:55:41 +0100

scipy (1.10.0-6) unstable; urgency=medium

  * Team upload.
  * x32: skip test_flexible_input during build
  * skip failing run-time tests
    - armhf with openblas: test_cdist_dtype_equivalence
    - i386 with blis: test_value_subsets test_bug_6139 test_atol[cgs]
      test_propack test_various_drivers_standard
      test_trsyl test_gelsy test_hetrd test_hegst test_pftri
      test_pptrs_pptri_pptrf_ppsv_ppcon[complex
      test_gees_trsen[complex64] test_gges_tgsen[complex64]
    - riscv64 with atlas: test_bug_6139

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Feb 2023 17:24:21 +0100

scipy (1.10.0-5) unstable; urgency=medium

  * Team upload.
  * skip failing build tests
    - hurd-i386: test_pdf_nolan_samples[pct_range0-alpha_...
    - x32: skip build test test_sign
  * skip failing runtime tests (debian/tests)
    - i386 with blis: test_random_complex_overdet
    - armhf with openblas: test_cholesky
  * reintroduce and update debian patch
    hppa-boost-long-double-config.patch.
    Thanks Mattias Ellert. Closes: #1030947.

 -- Drew Parsons <dparsons@debian.org>  Fri, 10 Feb 2023 12:08:00 +0100

scipy (1.10.0-4) unstable; urgency=medium

  * Team upload.
  * skip more build-time tests
    - hurd-i386: test_find_peaks_exact test_find_peaks_withnoise
      test_examples[True-float64] test_rv_sample
      test_location_scale[pdf
    - x32: test_basic
  * update debian/tests
    - armhf with openblas: skip test_array_smoothing
    - i386 with blis: skip test_random_complex_exact
  * debian patch fix_cast_PR17726.patch applies upstream PR17726
    to fix 32-bit/64-bit casting. Closes: #1029690.
  * add Breaks: python3-skbio (<< 0.5.8-3~) to aid migration

 -- Drew Parsons <dparsons@debian.org>  Tue, 07 Feb 2023 09:49:03 +0100

scipy (1.10.0-3) unstable; urgency=medium

  * Team upload.
  * drop scipy/_lib/boost/ from debian/copyright
    (no longer provided in upstream source)
  * skip build-time tests
    - hurd-i386: test_mip1
    - ia64: test_maxiter_worsening[lgmres]
    - x32: test_input_validation
  * update skips in debian/tests:
    - i386: skip test_simple_overdet_complex with blis
    - armhf: skip test_rosenbrock_with_no_exception
  * update debian patch Use-system-LBFGSB.patch for the new meson build
    Closes: #1030142.

 -- Drew Parsons <dparsons@debian.org>  Fri, 03 Feb 2023 10:48:29 +0100

scipy (1.10.0-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Add missing copyright for submodules

  [ Drew Parsons ]
  * update debian/tests
    - i386: fix test skips
    - armel: skip test_brunnermunzel_normal_dist
    - armhf with openblas: skip test_pdist_calling_conventions
      test_pdist_dtype_equivalence test_striding
    - s390x with atlas: skip test_aligned_mem
  * debian patch readonly_interpolate_PR17717.patch applies upstream
    PR17717 to fix interpolate.interpn. Closes: #1029692.
  * drop debian patch fix_numpy1.24_PR17035.patch (applied upstream)

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 Jan 2023 10:13:42 +0100

scipy (1.10.0-1exp6) experimental; urgency=medium

  * Team upload.
  * powerpc: skip test_maxiter_worsening[lgmres]
  * mipsel: skip test_integrator test_double_integrator

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Jan 2023 11:05:38 +0100

scipy (1.10.0-1exp5) experimental; urgency=medium

  * Team upload.
  * mipsel skip test_fht_special_cases test_integrality (also mips64el)
  * armel skip test_brunnermunzel_normal_dist
  * riscv64 skip test_maxiter_worsening[lgmres]

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Jan 2023 12:37:59 +0100

scipy (1.10.0-1exp4) experimental; urgency=medium

  * Team upload.
  * debian patch fix_highs_atomic_PR17777.patch applies upstream
    PR17777 to fix handling of libatomic (with gcc) in _highs.
    Fixes build for armel, mipsel, powerpc.
  * skip tests on mips64el: test_integrator test_double_integrator

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 23:01:47 +0100

scipy (1.10.0-1exp3) experimental; urgency=medium

  * Team upload.
  * skip more tests:
    - i386: test_examples[True-float64]
      test_pdf_nolan_samples[pct_range0-alpha_range0-beta_range0]
    - ppc64: test_maxiter_worsening

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 12:39:03 +0100

scipy (1.10.0-1exp2) experimental; urgency=medium

  * Team upload.
  * Build-Depends: libblas-dev not libopenblas-dev. Preferred BLAS
    implementation must be installed by the system administrator not
    at build time, and OpenBLAS is not available on all arches.
  * handle failing tests, see https://github.com/scipy/scipy/issues/17839
    - relax more tolerances in debian patch manage_tests.patch to enable
      i386 to pass tests
    - i386: skip test_x0_equals_Mb[bicgstab]
      test_rv_sample test_location_scale[pdf
    - s390x: skip test_atol[bicg]
    - ppc64: skip test_precond_dummy
    - armhf (in debian/tests, build-time tests pass fine)

 -- Drew Parsons <dparsons@debian.org>  Mon, 23 Jan 2023 02:41:59 +0100

scipy (1.10.0-1exp1) experimental; urgency=medium

  [ Drew Parsons ]
  * Team upload.
  * New upstream major release.
    - no longer uses local boost source
      (drop debian patch hppa-boost-long-double-config.patch)
    - Build-Depends: meson (>= 0.62.2~)
    - Build-Depends-Indep: python3-sphinx-tabs for docs
    - update versioned Build-Depends: cython3 (>= 0.29.21~),
      python3-pythran (>= 0.9.12~), python3-pythran (<< 0.12)
  * update debian/watch with uversionmangle=s/rc/~rc/ to order
    RC releases below final release versions

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Multi-Arch: foreign
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Fix field name typo in debian/copyright (Comments ⇒ Comment).
  * Build-Depends: s/libblas-dev/libopenblas-dev/
  * Build-Depends: pkg-config
  * Symlink submodules from submodules source tarball
  TODO:
    - Integrate submodules via additional tarball that can be
      created with script debian/get-submodules

  [ Drew Parsons ]
  * debian/control: allow use of pythran 0.12
  * add _build_utils/cythoner.py to find_cython3.patch,
    see upstream scipy Issue#17808
  * Build-Depends: python3-mesonpy
  * Build-Depends: python3-pooch (used by datasets test_data.py)
    - skip test_data (datasets) pooch tests at build time, which need
      internet or cached datafiles. test_existence_all, test_ascent,
      test_face, test_electrocardiogram.
  * update debian patch manage_tests.patch to only copy .coveragerc if
    it exists (it is no longer shipped with the source)
  * debian patch manage_docs.patch enables doc build to complete
    - drops sphinx_design (not yet packaged for Debian)
    - ignores imp deprecation warnings (from invoke via pooch, see
      https://github.com/pyinvoke/invoke/issues/675 and #829)
    - skips switcher themes (needs updated pydata-sphinx-theme,
      see Bug##1029009)
    - don't treat doc warnings as errors. Life is too short for that.
  * debian patch docs_no_sphinx_design.patch works around the missing
    sphinx_design extension, replacing docs using grid: with the
    scipy 1.8 version using panel:, and removing tab-set:.
  * update debian/copyright: scipy-mathjax, sphinxext no longer
    present in doc dirs
  * meson build is still work-in-progress, installs residual cython
    (pyx) files, see cython_special comments in scipy/special/meson.build
    So remove any python3.X (not python3) files left after dh_python3.
    More work is needed to manage these cython files, see
    https://github.com/scipy/scipy/issues/14890

 -- Drew Parsons <dparsons@debian.org>  Fri, 20 Jan 2023 11:47:47 +0100

scipy (1.8.1-22) unstable; urgency=medium

  * Team upload.
  * skip test_atol[bicg] on s390x. Closes: #1029550.

 -- Drew Parsons <dparsons@debian.org>  Wed, 25 Jan 2023 15:32:10 +0100

scipy (1.8.1-21) unstable; urgency=medium

  * Team upload.
  * debian patch fix_numpy1.24_PR17035.patch applies upstream PR17035
    to fix build with numpy 1.24. Closes: #1027244

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Jan 2023 14:54:51 +0100

scipy (1.8.1-20) unstable; urgency=medium

  * Team upload.
  * Fix sphinx build with Python 3.11

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Jan 2023 21:59:59 +0100

scipy (1.8.1-19) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix flapack (Closes: #1027460)
  * Add upstream patch for numpy 1.24
  * Use dh-sequence-*

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Jan 2023 11:32:39 +0100

scipy (1.8.1-18) unstable; urgency=medium

  * Team upload.
  * Skip one more failing test on ppc64el

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 26 Dec 2022 09:33:52 +0100

scipy (1.8.1-17) unstable; urgency=medium

  * Team upload.
  * Ignore some test in autopkgtests

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 25 Dec 2022 12:03:29 +0100

scipy (1.8.1-16) unstable; urgency=medium

  * Team upload.
  * Ignore some failing unit tests on some archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Dec 2022 23:53:47 +0100

scipy (1.8.1-15) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with new numpy (deprecated numpy.distutils)
    (Closes: #1026210, #1026342, #1026516)
  * Add workaround for FTBFS with new sphinx
  * Ignore test failure on armel (Closes: #1025699)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 20 Dec 2022 19:47:35 +0100

scipy (1.8.1-14) unstable; urgency=medium

  * Team upload.
  * debian/tests: skip all test_complex* tests on i386 with blis
  * once again drop pythran support on armhf.
    Still causes many packages to fail tests even after revised
    version of PR16646 (possibly due to memory exhaustion?)

 -- Drew Parsons <dparsons@debian.org>  Thu, 08 Sep 2022 16:01:54 +0200

scipy (1.8.1-13) unstable; urgency=medium

  * Team upload.
  * skip build-time tests
    - armel: test_random_exact in linalg/tests/test_basic.py (segfaults)
  * update debian patch pythran_type_PR16646.patch to latest PR16646

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Sep 2022 09:53:04 +0200

scipy (1.8.1-12) unstable; urgency=medium

  * Team upload.
  * skip build-time tests
    - armel: linalg/tests/test_decomp.py (started segfaulting)
    - hppa: test_nodata test_cont_basic[500-200-semicircular-arg89]
    - riscv64: test_vector test_iterative_refinements_dense (segfaults)
  * skip more tests in debian/test
    - i386 with blis: test_complex_dotc (segfaults)
    - armhf with openblas: test_solver_selection
    - ppc64el with atlas: sparse test_svd_v0, test_svd_random_state{_2}
  * update debian patch pythran_type_PR16646.patch to latest PR16646
    - reinstate TestMLS tests
    - reinstate pythran on armhf to test if PR16646 now fixes problems
    - Closes: #1017862

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Aug 2022 20:12:18 +0200

scipy (1.8.1-11) unstable; urgency=medium

  * Team upload.
  * skip more tests in debian/tests
    - arm64: test_atol[cgs] with blis
    - armel: skip linalg test_aligned_mem in test_decomp.py
    - armhf with openblas: some optimize tests in TestRRSVD, TestDogbox
    - i386 with blis: test_complex_dotu
    - ppc64el: test_svds_parameter_tol, test_bug_6139 (with atlas)
    - s390x with atlas: test_bug_6139, test_solver_select
    - riscv64: avoid failures and segfaults
  * skip tests failing on powerpc in stats/tests/test_stats.py:
    overflow encountered in _hypergeom_*. Skip test_hypergeom_cdf,
    test_hypergeom_sf, test_nch_hypergeom, test_precision,
    test_precise, test_less_greater
  * debian/tests: restrict openblas tests to supported architectures
    only (i.e. not armel)

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Aug 2022 00:29:59 +0200

scipy (1.8.1-10) unstable; urgency=medium

  * Team upload.
  * skip TestSmirnovp (test_kolmogorov) also on hurd-i386
  * skip test_first_step and test_classes on mips64el
    (integrate/_ivp/tests/test_ivp.py)
    See https://github.com/scipy/scipy/issues/16883
  * skip test_large_rank_deficient on armhf with blis. Segfaults in
    test_lsq_linear.py::TestBVLS
  * once again drop pythran support on armhf.
    It does work successfully, but shifts numerical results enough to
    break tests on a dozen packages (astropy, pandas, pyfai, skimage etc)

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Aug 2022 11:43:19 +0200

scipy (1.8.1-9) unstable; urgency=medium

  * Team upload.
  * drop asyncio_mode=auto from debian patch manage_tests.patch.
    Only relevant when python3-pytest-asyncio is installed
    (causes errors if not installed, but scipy doesn't need it)
  * use runtests.py to manage build-time tests
  * skip failing tests
    - signal TestMLS fails due to broken pythran support on 32 bit
      arches. See Bug#1017862.
    - special test_kolmogorov.py (TestSmirnovp) segfaults on i386.
      Closes: Bug#1017864.
    - stats test_cont_basic[500-200-ncf-arg74] fails with
      IntegrationWarning. See upstream Issue 14519
  * update debian/watch (uscan) for latest github format

 -- Drew Parsons <dparsons@debian.org>  Mon, 22 Aug 2022 17:24:17 +0200

scipy (1.8.1-8) unstable; urgency=medium

  * Team upload.
  * overhaul debian/tests to run debci tests using upstream's
    runtests.py. Previous approach was overcomplicated and unable to
    skip test_hermitian_modes for blis on i386. Keep specific skips for
    BLAS tests but drop general tests previously skipped in order to
    verify if they still need skipping.
  * debian patch pythran_type_PR16646.patch applies upstream PR#16646
    to properly define pythran types for 32 bit arches.
    - reinstate pythran support on armhf
  * fix determination of python3 versions in debian/rules

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Jul 2022 00:20:58 +0200

scipy (1.8.1-7) unstable; urgency=medium

  * Team upload.
  * drop pythran completely from armhf. Still causes errors from built
    components even if pythran is not installed at runtime.
    cf. https://github.com/serge-sans-paille/pythran/issues/2002
  * reorganise test skip list in debian/tests to ensure i386 properly
    skips test_hermitian_modes

 -- Drew Parsons <dparsons@debian.org>  Mon, 18 Jul 2022 13:36:40 +0200

scipy (1.8.1-6) unstable; urgency=medium

  * Team upload.
  * on armhf, demote python3-scipy Depends: pythran to Suggests.
    Causes armhf debci test failure on dozens of dependent packages,
    mainly with MemoryError. Only individual tests fail, probably
    depends on the specific usage.

 -- Drew Parsons <dparsons@debian.org>  Thu, 30 Jun 2022 22:14:11 +0200

scipy (1.8.1-5) unstable; urgency=medium

  * Team upload.
  * debian/tests: skip more blas-specific tests
    - armhf/openblas: test_large_rank_deficient and all TestTRF
      (in optimize/tests/test_lsq_linear.py; times out or segfaults)
    - armhf/openblas: test_disp in optimize/tests/test_linprog.py
      (times out)
    - armhf/atlas: test_aligned_mem in linalg/tests/test_decomp.py
      (illegal value for DHSEQR parameter)
    - fix i386 skip of test_hermitian_modes (_eigen not eigen)
  * update debian patch manage_tests.patch
    - alpha: special test_round.py skip all
  * Depends: python3-pythran on all arches. Even arches without full
    SIMD support should benefit from the dynamic C++ compilation.
    cf. https://github.com/scipy/scipy/issues/13308#issuecomment-1168579164
    Closes: #1013568.

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Jun 2022 01:17:22 +0200

scipy (1.8.1-4) unstable; urgency=medium

  * Team upload.
  * update debian patch manage_tests.patch
    - add asyncio_mode=auto to pytest.ini. Required in order to launch
      tests from toplevel source directory.
    - hppa (parisc64): io/arff test_arffread.py
      skip TestNoData
    - hppa (parisc64): special test_round.py skip all
    - hurd: platform.machine() is 'i686-AT386', so use
      machine.startswith('i686') instead of machine=='i686'
      to skip tests for both i386 (linux) and hurd-i386
  * return an exit code from scipy.test() otherwise 0 is always
    returned so test failure is not detected
  * disable pythran support on i386 because of test errors
    "TypeError: Invalid call to pythranized function"
    cf. https://github.com/serge-sans-paille/pythran/issues/1025
    Revisit once pythran 0.11.0 is packaged.
  * debian/tests: skip test_hermitian_modes with BLIS on i386
    (in sparse/linalg/eigen/arpack/arpack.py). Closes: Bug#1003880.
  * in BLAS tests, only use first alternative for BLAS implementation

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Jun 2022 18:35:03 +0200

scipy (1.8.1-3) unstable; urgency=medium

  * Team upload.
  * debian/tests specific blas tests Depend on -dev versions of blas
    packages in order to not hardcode ABI versions
    (blis recently bumped to libblis.so.4)
  * update debian patch manage_tests.patch:
    - mips64el: fft test_fftlog.py skip test_fht_special_cases
    - mips64el: sparse/csgraph test_shortest_path.py
      skip test_NaN_warnings
    - mips64el: stats test_distributions.py skip test_moments_warnings
    - on i386 platform.machine() is 'i686' not 'i386'
    - on armel and armhf platform.machine() is "armv7l' not simply 'arm'
      Use startswith('arm') not =='arm' to allow the general case.
    - on powerpc platform.machine() is "ppc"
  * reinstate handling of nocheck in DEB_BUILD_OPTIONS to run tests
  * run tests with set -e to ensure errors are not ignored.
    Closes: #1003417.
  * debian patch build_sh4_FE.patch ensures FE_UPWARD and FE_DOWNWARD
    are defined for sh4 architecture. Closes: #1007769.
  * add pythran support for i386

 -- Drew Parsons <dparsons@debian.org>  Tue, 14 Jun 2022 16:11:24 +0200

scipy (1.8.1-2) experimental; urgency=medium

  * Team upload.
  * rename debian patch skip_tests.patch to manage_tests.patch and
    update to increase test successes
    - all: linalg test_lapack.py test_sygst
      raise tol from 1e-4 to 2e-4
    - armel, powerpc: stats test_stats skip various tests
    - armel: special test_round.py skip all
    - armel: optimize test_linprog.py skip test_bounds_infeasible_2
    - armel: interpolate test_fitpack.py skip test_kink
    - armhf: linalg test_interpolative.py
      skip test_estimate_spectral_norm_diff
    - i386: relax tolerance in spatial/transform test_rotation.py
      and spatial test_distance.pytest_pdist_jensenshannon_iris
    - i386: sparse/linalg/_isolve test_iterative.py skip
      test_maxiter_worsening
    - i386: signal test_spectral.py skip test_nd_axis_m1,
      test_nd_axis_0
    - s390x, powerpc, ppc64, sparc64: io/arff test_arffread.py
      skip TestNoData

 -- Drew Parsons <dparsons@debian.org>  Mon, 13 Jun 2022 01:36:20 +0200

scipy (1.8.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - Depends: python3-numpy (>= 1:1.17.3~)
  * Build-Depends: pybuild-plugin-pyproject to use pyproject.toml.
    Closes: #1008680.
  * Simplify debian/rules back to minimal dh (with python,sphinxdoc)
  * drop debian/python3-scipy.install: pybuild/pyproject installs
    directly into debian package dirs
  * launch build-time tests from /tmp (needs to start outside the
    source dir)
  * debian patch skip_tests.patch skips failing tests
    - linalg: test_decomp.py TestSchur.test_sort and
      test_solvers.py test_solve_discrete_are
      see https://github.com/scipy/scipy/issues/14517
    - optimize test_optimize.py: test_minimize_l_bfgs_maxls passes but
      marked as expected to fail
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Jun 2022 02:03:37 +0200

scipy (1.8.0-1exp2) experimental; urgency=medium

  * build scipy with pythran support where available [amd64 arm64 m68k]
    Depends: python3-pythran [amd64 arm64 m68k]
    Closes: #991753.

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Feb 2022 01:41:52 +0100

scipy (1.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * update debian/copyright: vendored libraries SuperLU and arpack
    used by sparse/linalg are now treated as private via an
    _underscore prefix (_dsolve, _eigen)

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Feb 2022 22:05:09 +0100

scipy (1.7.3-2) unstable; urgency=medium

  * Team upload.
  * debian patch hppa-boost-long-double-config.patch disables
    LONG_DOUBLE in the boost submodule on hppa. Adapted from the boost
    patch hppa-long-double-config.patch.
    See https://github.com/scipy/scipy/issues/15260
    for discussion of why boost has been vendored for scipy.
    Closes: #1004197.

 -- Drew Parsons <dparsons@debian.org>  Fri, 11 Feb 2022 12:11:29 +0100

scipy (1.7.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Build-Depends-Indep: python3-sphinx-panels
    Drop debian patch docs_skip_panels.patch. Closes: #991752.
  * remove upper bound on python3-pybind11 build-dependency. It's not
    used upstream in dev code, gets applied only to release versions
    to make local pip virtualenv installations use known-good versions.
    Closes: #1002065.
  * remove upper bound in Build-Depends: python3-numpy, python3-wheel
  * raise versioned Build-Depends python3-numpy (>= 1.21.4) for
    python3.10 support.
  * don't compress woff font files. Apply the same
    override_dh_compress used for numpy.  Closes: #1003282.
  * add a source lintian override for fortran-si4-11x1x10.dat
    (source-contains-prebuilt-windows-binary). It's a test data
    file, not a DOS executable.
  * Standards-Version: 4.6.0
  * update debian/copyright
    - remove deprecated files debian/patches/css_font_OpenSans.patch,
      doc/scipy-sphinx-theme/*, scipy/_lib/six.py
    - acknowledge Jonathan Neal's code snippet "font-family: no-parens"
      from https://codepen.io/jonneal/pen/bXLEdB (MIT licence)
      in doc/source/_static/scipy.css
    - scipy/fft/_pocketfft/ licence applies to all _pocketfft not only
      pocketfft.cxx
    - scipy/_lib/uarray/ renamed to _uarray

 -- Drew Parsons <dparsons@debian.org>  Sun, 09 Jan 2022 14:11:52 +0100

scipy (1.7.1-2) unstable; urgency=medium

  * Drop -dbg package; Closes: #994375

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Nov 2021 23:57:11 -0500

scipy (1.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Drew Parsons ]
  * New upstream release
  * update upper-versioned Build-Depends
    - python3-numpy (<< 1.23.0) (see pyproject.toml)
    - python3-pybind11 (<< 2.8) (build is stable with pybind11 2.7)

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Aug 2021 02:07:15 +0200

scipy (1.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - deprecates debian patches css_font_OpenSans.patch and
      css_font_local.patch
  * Build with SCIPY_USE_PYTHRAN=0 since pythran is not yet available.
    pythran packaging requested in Bug#991143.
  * Build-Depends-Indep: python3-pydata-sphinx-theme,
    python3-sphinx (>> 3.1)
  * debian patch docs_skip_panels.patch skips use of sphinx-panels in
    docs. Not available yet (RFP#991684).
  * update debian/rules
    - allow for spaces in filenames in override_dh_fixperms-arch.
      sobol_vec.gz is no longer installed.
    - drop special handling for weave. It was removed in scipy 0.15.0.
  * mark python3-scipy as Multi-Arch: no
  * lintian fixes
    - mark scipy/optimize/lbfgsb_src/*.f as License: BSD-generic not BSD
    - packages override bogus-mail-host-in-debian-changelog
      Debian/i386 Build Daemon <buildd_i386-saens>
    - source override obsolete-url-in-packaging debian/copyright
      https://code.google.com/archive/p/ampgo
  * remove deprecated debian/README.source

 -- Drew Parsons <dparsons@debian.org>  Sat, 31 Jul 2021 01:40:57 +0200

scipy (1.6.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - fixes matrix dtypes. Closes: #983404.
    - introduces upper-versioned Build-Depends: cython3 (<< 3.0),
       python3-pybind11 (<< 2.7),
       python3-wheel (<< 0.37.0)
       (leave python3-setuptools uncapped)
    - also Build-Depends: python3-all-dev (>= 3.7)
  * Stop ignoring build-time errors in debian/rules. Closes: #967977.

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Mar 2021 19:21:49 +0100

scipy (1.6.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Depends: python3-numpy (>= 1:1.16.5)

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Feb 2021 20:46:00 +0100

scipy (1.6.0-2) unstable; urgency=medium

  * Team upload.
  * upload new upstream version to unstable

 -- Drew Parsons <dparsons@debian.org>  Sat, 16 Jan 2021 23:26:56 +1100

scipy (1.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Standards-Version: 4.5.1
  * drop debian/python3-scipy.docs: Thanks.txt no longer shipped.
  * update debian/copyright for new features
    - benchmarks/benchmarks/go_benchmark_functions/*.py
      Copyright: 2013 Andrea Gavana <andrea.gavana@gmail.com>
      License: expat
    - scipy/fft/_pocketfft/pocketfft.cxx
      Copyright: 2010-2019 Max-Planck-Society, Martin Reinecke
      2019 Peter Bell. License: BSD-3-clause
    - scipy/fft/_pocketfft/pocketfft_hdronly.h
      Copyright: 2010-2019 Max-Planck-Society, Martin Reinecke
      2019 Peter Bell, 2003,2007-2014 Matteo Frigo,
      Massachusetts Institute of Technology. License: BSD-3-clause
    - scipy/optimize/_highs/*
      Copyright: 2020 ERGO-Code
      License: Expat
    - scipy/sparse/csgraph/_matching.pyx
      Copyright: 1987, A. Volgenant/Amsterdam School of Economics,
      University of Amsterdam. License: BSD-3-clause
    - scipy/_lib/uarray/*
      Copyright: 2018, Quansight-Labs
      License: BSD-3-clause

 -- Drew Parsons <dparsons@debian.org>  Wed, 06 Jan 2021 19:57:43 +1100

scipy (1.5.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sat, 14 Nov 2020 13:36:06 +0800

scipy (1.5.3-2) unstable; urgency=medium

  * Team upload.
  * push new upstream release to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Nov 2020 03:33:52 +0800

scipy (1.5.3-1) experimental; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Drew Parsons ]
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Nov 2020 13:32:21 +0800

scipy (1.5.2-2) unstable; urgency=medium

  * Team upload.
  * debian/tests (autopkgtest): add a new test case using BLAS=libblis3

 -- Drew Parsons <dparsons@debian.org>  Sat, 01 Aug 2020 12:49:57 +0800

scipy (1.5.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - update versioned Build-Depends: cython3 (>= 0.29.18),
      python3-numpy (>= 1:1.14.5), python3-pybind11 (>= 2.4.3)
    - builds with gfortran 10. Closes: #957780.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Fri, 24 Jul 2020 15:17:18 +0800

scipy (1.4.1-2) unstable; urgency=medium

  * Team upload.
  * bring new upstream version to unstable

 -- Drew Parsons <dparsons@debian.org>  Sat, 18 Apr 2020 11:08:42 +0800

scipy (1.4.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - applies debian patches fix_custom_sampling_input_2b3ed61.patch
      and fix_test_NAN_input_iv_7806757.diff
    - deprecates debian patch use_local_objects.inv.patch
    - Build-Depends: python3-pybind11 (>= 2.4.0)
    - Build-Depends-Indep: python3-sphinx (>= 2~)
  * provide PYTHONPATH as env variable with make doc
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Apr 2020 01:11:18 +0800

scipy (1.3.3-3) unstable; urgency=medium

  * Team upload.
  * skip sparsetools.TestInt32Overflow tests test_bsr_1_block and
    test_bsr_n_block (they regularly timeout)

 -- Drew Parsons <dparsons@debian.org>  Fri, 06 Dec 2019 10:22:05 +0800

scipy (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * add debian patches to avoid internet connections when using docs
    - css_font_OpenSans.patch adapts font settings from
      https://fonts.googleapis.com/css?family=Open+Sans
      (Apache 2.0 licence)
    - css_font_local.patch uses local font_OpenSans.css from
      css_font_OpenSans.patch
    - python-scipy-doc Depends: fonts-open-sans
    - Closes: #873433.
  * debian patch fix_custom_sampling_input_2b3ed61.patch applies
    upstream commit 2b3ed61 to fix syntax. Closes: #945093.

 -- Drew Parsons <dparsons@debian.org>  Thu, 05 Dec 2019 00:30:25 +0800

scipy (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * change source package name to scipy for python3-only, to
    distinguish from python-scipy which supports python2.
  * update Vcs salsa repo name to scipy (from python-scipy)

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Nov 2019 20:53:58 +0800

python-scipy (1.3.1-1exp3) experimental; urgency=medium

  * Team upload.
  * update versioned Build-Depends: python3-numpy (>= 1:1.13.3)
    and cython3 (>= 0.29.2)
  * Patch fix_test_NAN_input_iv_7806757.diff applies upstream commit
    7806757 to fix tests on hppa, riscv64, sparc64. Closes: #934806.

 -- Drew Parsons <dparsons@debian.org>  Fri, 16 Aug 2019 13:20:27 +0800

python-scipy (1.3.1-1exp2) experimental; urgency=medium

  * Team upload.
  * build binaries before building docs

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Aug 2019 18:45:38 +0800

python-scipy (1.3.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
    - drops support for Python 2 (python-scipy is no longer provided)
    - applies patches
      matrix_API_614847c5.patch
      matrix_API_filter_check_87e48c3c5.patch
      matrix_API_more_e0cfa29e2.patch
      fix_test_optim_canonical_constraint_2d7e7e8c.patch
  * adjust skipping of spatial tests according to context of test
    (openblas,atlas specify scipy.spatial)

 -- Drew Parsons <dparsons@debian.org>  Tue, 13 Aug 2019 15:04:07 +0800

python-scipy (1.2.2-8) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Drew Parsons ]
  * only build docs for default python3. Closes: #942794.
    - apply dh_auto_install to arch-dependent packages only

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2019 02:32:19 +0800

python-scipy (1.2.2-7) unstable; urgency=medium

  * Team upload.
  * Patch fix_test_NAN_input_iv_7806757.diff applies upstream commit
    7806757 to fix tests on mipsel, hppa, riscv64, sparc64
    (taken from 1.3.1-1exp3)

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Aug 2019 20:37:32 +0800

python-scipy (1.2.2-6) unstable; urgency=medium

  * Team upload.
  * atlas, openblas tests Depends: python3

 -- Drew Parsons <dparsons@debian.org>  Sun, 25 Aug 2019 01:47:34 +0800

python-scipy (1.2.2-5) unstable; urgency=medium

  * Team upload.
  * adjust skipping of sparse and spatial tests according to context
    of test (openblas and atlas specify scipy.sparse, scipy.spatial)
  * run atlas and openblas tests with python3 not python2

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2019 11:42:02 +0800

python-scipy (1.2.2-4) unstable; urgency=medium

  * Team upload.
  * debian patch Use-system-LBFGSB.patch:
    run test_minimize_l_bfgs_maxls with rtol=1e-5

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jul 2019 09:28:55 +0800

python-scipy (1.2.2-3) unstable; urgency=medium

  * Team upload.
  * run build-time tests over all versions of python3
  * Build-Depends: liblbfgsb-dev and add Debian patch
    Use-system-LBFGSB.patch to use the system L-BFGS-B library (which
    uses LAPACK rather than the scipy-bundled LINPACK)
    Enables test_minimize_l_bfgs_maxls in scipy.optimize to succeed.
    Thanks Gard Spreemann. Closes: #778635.

 -- Drew Parsons <dparsons@debian.org>  Tue, 30 Jul 2019 00:26:20 +0800

python-scipy (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * debhelper compatibility level 12
    - run configure build step through pybuild to get consistent
      build directories
    - set PYLIBPATH to pybuild build directory
  * debian/rules: use AUTOPKGTEST_TMP instead of ADTTMP to run tests
  * v1.2.2 fixes indexing in fftpack. Closes: #924396.
  * drop ignore_DeprecationWarning_diff1.2.patch (already applied in
    scipy 1.2)
  * Register docs with doc-base. Closes: #846253.
  * debian/tests/python3: skip tests of
    scipy.spatial.tests.test__plotutils.TestPlotting
    (see https://github.com/scipy/scipy/issues/9946)

 -- Drew Parsons <dparsons@debian.org>  Mon, 29 Jul 2019 18:43:34 +0800

python-scipy (1.2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * configure debian/watch to grab tar.xz rather than tar.gz
    (for smaller tarballs)
  * debian/rules: build with dh --buildsystem=pybuild
  * Standards-Version: 4.4.0

 -- Drew Parsons <dparsons@debian.org>  Fri, 26 Jul 2019 15:22:36 +0800

python-scipy (1.2.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Thu, 28 Feb 2019 11:16:38 +0800

python-scipy (1.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 15 Jan 2019 12:27:45 +0100

python-scipy (1.1.0-7) unstable; urgency=medium

  * Team upload.
  * Patch fix_test_optim_canonical~onstraint_2d7e7e8c.patch applies
    upstream patch 2d7e7e8 to fix occasional random failures in
    test_canonical_constraint.test_concatenation.

 -- Drew Parsons <dparsons@debian.org>  Fri, 12 Apr 2019 00:46:35 +0800

python-scipy (1.1.0-6) unstable; urgency=medium

  * Team upload.
  * skip sparsetools.TestInt32Overflow matvec tests on python3 also.

 -- Drew Parsons <dparsons@debian.org>  Thu, 11 Apr 2019 09:38:17 +0800

python-scipy (1.1.0-5) unstable; urgency=medium

  * Team upload.
  * Skip sparsetools.TestInt32Overflow matvec tests on python2
    (MemoryError). Closes: #919929.

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Apr 2019 16:41:47 +0800

python-scipy (1.1.0-4) unstable; urgency=medium

  * Team upload.
  * Replace patch ignore_DeprecationWarning_diff1.2.patch with
      matrix_API_614847c5.patch
      matrix_API_filter_check_87e48c3c5.patch
      matrix_API_more_e0cfa29e2.patch
    adapting the indicated upstream commits to scipy 1.1.0
    (use numpy.matmul instead of @ for matrix multiplication, since @
    is not available in python2)
    Removes sources of matrix DeprecationWarnings.
    Addresses: Bug#919929.

 -- Drew Parsons <dparsons@debian.org>  Thu, 14 Mar 2019 14:12:00 +0800

python-scipy (1.1.0-3) unstable; urgency=medium

  * Team upload.
  * Debian patch ignore_DeprecationWarning_diff1.2.patch applies diff
    of pytest.ini between scipy 1.1 and 1.2 to ignore
    DeprecationWarnings from numpy 1.16. Addresses Bug#919929.
  * Use default gfortran-8 on s390x. unroll-loops was fixed in
    gcc-8 8.2.0-18. Closes: #906198, #915738.

 -- Drew Parsons <dparsons@debian.org>  Fri, 08 Mar 2019 00:31:29 +0800

python-scipy (1.1.0-2) unstable; urgency=medium

  * Team upload.
  * Remove Alexandre Fayolle from the Uploaders list.  Thanks for your
    previous contributions!  Closes: #833329
  * Use gfortran-7 on s390x to work around a regression causing the imexam
    test suite to fail when scipy is built with gfortran 8.  Addresses: #906198
  * Add some Multi-Arch markers suggested by the m-a hinter.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 04 Nov 2018 19:01:19 +0100

python-scipy (1.1.0-1) unstable; urgency=medium

  [ Julian Taylor ]
  *  New upstream release
     Closes: #896060, #901380, #896635
  * update to debian/compat 9 and standard 4.1.4

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 01 Jul 2018 14:34:28 +0200

python-scipy (0.19.1-2) unstable; urgency=medium

  * Replace python-imaging recomments with python-pil (Closes: #866468)
  * build documentation with python3-sphinx
  * Fix atlas and openblas tests for openblas and atlas multiarch locations
    Thanks to Matthias Klose for the patch (Closes: #876007)
  * Depend on python-all-dbg for autopkgtests
    Thanks to Michael Hudson-Doyle for the patch (Closes: #864699)
  * bump standard to 4.1.3
    - debian/control: replace priority extra with optional

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 07 Jan 2018 14:38:57 +0100

python-scipy (0.19.1-1) unstable; urgency=medium

  * New upstream release
  * weave has been removed, drop its patch blitz++.patch
  * drop cap-ld-precision.patch, fixed in numpy

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 06 Sep 2017 18:07:38 +0200

python-scipy (0.18.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * No-change rebuild to build without _PyFPE symbols.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 16:36:34 +0200

python-scipy (0.18.1-2) unstable; urgency=medium

  * fix dbg package import (Closes: #840264)
  * add dbg package import adt tests

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 21 Oct 2016 16:10:57 +0200

python-scipy (0.18.1-1) unstable; urgency=medium

  [ Julian Taylor ]
  * New upstream bugfix release

  [ Sebastian Humenda ]
  * make the build-indep target execute the build target to allow the usage of
    the module for generating the documentation (Closes: #806867)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 25 Sep 2016 11:25:21 +0200

python-scipy (0.18.0-1) unstable; urgency=medium

  * New upstream release
  * add python-setuptools to build depends

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 30 Jul 2016 19:05:17 +0200

python-scipy (0.17.1-1) unstable; urgency=medium

  [ Julian Taylor ]
  * New upstream bugfix release
  * enable parallel build based on DEB_BUILD_OPTIONS
  * bump standard to 3.9.7, no changes required

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 23 May 2016 20:02:14 +0200

python-scipy (0.17.0-1) unstable; urgency=medium

  * New upstream release

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 23 Jan 2016 20:39:44 +0100

python-scipy (0.16.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * update adt-tests to new layout
  * remove duplicate files in -doc package

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sun, 25 Oct 2015 11:51:34 +0100

python-scipy (0.16.0-2) unstable; urgency=medium

  [ Julian Taylor ]
  * bump cython build-depend to required 0.22

  [ Jean-Christophe Jaskula ]
  * fix build of documentation in arch only builds

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 24 Aug 2015 09:51:10 +0200

python-scipy (0.16.0-1) unstable; urgency=medium

  [ Varun Hiremath ]
  * New upstream release
  * Bump Standards-Version to 3.9.6
  * Remove upstream applied patches:
    - fitpack-alias.patch
    - fix-undefined-behavior-in-alngam.patch
    - relax-bounds-of-interpolate-test.patch
  * d/rules: minor build fixes

  [ Jean-Christophe Jaskula ]
  * Pointed debian/watch to github.com (cleaner sources)
  * d/control:
    - Added dh_python to B-d
    - Removed unnecessary XS-Testsuite field
  * Linking to local javascript libraries
    - use_local_mathjax.patch
  * Using local intersphinx objects
    - use_local_objects.patch
  * Cleaned debian/copyright

 -- Varun Hiremath <varun@debian.org>  Sun, 23 Aug 2015 23:01:46 -0400

python-scipy (0.14.1-1) unstable; urgency=medium

  * New upstream bugfix release
    remove upstream applied patches:
     - numpy-version-fix.patch
     - numpy_ufunc.patch
     - put-_gen-classes-back.patch
     - put-back-veccdf.patch
     - sparse-fix-omitted-types.patch
     - sparse-superlu-fix.patch
  * add python-gmpy2 dependency to autopkgtest to speed up mpmath tests
  * add suggest on python-scipy-doc (Closes: #760522)
  * debian/copyright: add bootstrap Apache 2.0 license

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 05 Sep 2014 18:56:54 +0200

python-scipy (0.14.0-2) unstable; urgency=medium

  * add patches to fix test failures on i386 and mips:
    - fix-undefined-behavior-in-alngam.patch (Closes: #756905)
    - relax-bounds-of-interpolate-test.patch
  * add patches from 0.14.x maintenance branch:
    - sparse-superlu-fix.patch: fix crash
    - sparse-fix-omitted-types.patch: fix crash
    - put-back-veccdf.patch: restore stats api
    - put-_gen-classes-back.patch: restore stats api
    - numpy-version-fix.patch: fix wrong version check
    - numpy_ufunc.patch: compatibility with numpy 1.9

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 27 Aug 2014 14:40:24 +0200

python-scipy (0.14.0-1) unstable; urgency=low

  [ Denis Laxalde ]
  * Add the documentation binary package (Closes: #600547).

  [ Julian Taylor ]
  * New upstream release
  * drop not swig build dependency and reswig.patch, not needed anymore
  * use embedded six, current unstable version not compatible
  * fitpack-alias.patch: fix wrong aliasing in interpolate.splder

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 23 May 2014 10:37:06 +0200

python-scipy (0.13.3-2) unstable; urgency=medium

  * upload to unstable
  * add build-essential dependency to adt tests, needed for weave

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 31 Mar 2014 23:32:16 +0200

python-scipy (0.13.3-1) experimental; urgency=low

  * New upstream release
  * ignore TestSplder.test_kink adt failure, probably numerical error

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 04 Feb 2014 19:48:01 +0100

python-scipy (0.13.2-1) experimental; urgency=low

  * New upstream release
  * update X-Python-Version to >= 2.6
  * require python3-numpy (>= 1:1.7.2) for hashing fixes
  * bump standard to 3.9.5, no changes required
  * bump cython dependency to >= 0.19 to avoid leaks with fused types

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 21 Oct 2013 18:59:29 +0200

python-scipy (0.13.0~b1-1) experimental; urgency=low

  [ Julian Taylor ]
  * New upstream beta release
  * require python-six >= 1.3.0, scipy ships a slightly patched 1.2.0,
    version 1.3.0 includes the patches

  [ Varun Hiremath ]
  * Fix debian/watch file

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Sat, 07 Sep 2013 18:06:00 +0200

python-scipy (0.12.0-3) unstable; urgency=high

  * temporary-directory-usage.patch:
    fix insecure temporary directory usage of weave module. (Closes: #726093)
    Thanks to Tomas Tomecek for the patch.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Tue, 22 Oct 2013 23:44:47 +0200

python-scipy (0.12.0-2) unstable; urgency=low

  * ignore testsuite failures to not block python3.3 transition
    only masks issues on hardly used ports

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 01 Jul 2013 20:09:40 +0200

python-scipy (0.12.0-1) unstable; urgency=low

  [ Julian Taylor ]
  * New upstream release, no repackaging required anymore
    - Closes: #707315
    - Closes: #691254
  * also fail on test failures not only test errors
  * skip failing test_mio on big endian python3 >= 3.2
  * print skipped tests and unused skips in autopkgtest scripts
  * add-swig-filetypes.patch, reswig.patch:
    reswigging from setup.py, dropped from debian/rules
  * cython-wraparound.patch: fix issue in ckdtree.pyx
  * qhull-lfs.patch: enable large file support
  * cap-ld-precision.patch: fix test failures due to broken np.finfo on ppc
  * refresh patches and remove upstream applied:
    - BUG-fix-dependency-on-dict-ordering-in-test.patch
    - BUG-remove-inline-statement-rejected-by-cython.patch
    - fix-dbg-crash.patch
    - fix-f2py-dependencies.patch
    - fix-test_basic.py-cephes_vs_amos_mass_te.patch
    - python3.3-incdir.diff
  * Bump standard to 3.9.4, no changes required
  * drop unused sharutils build depend and python-profiler from suggests
  * use system python-six and python-decorator instead of embedded copies
  * don't install setup.py and generator scripts

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Remove DM-Upload-Allowed; it's no longer used by the archive
    software.

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 09 May 2013 11:35:07 +0200

python-scipy (0.11.0+dfsg1-1) experimental; urgency=low

  * New upstream release
  * bump required cython to >= 0.17
  * refresh patches:
    - drop upstream applied:
      - interpnd-generator.patch
      - dtype.diff,
      - kolmogorov.diff,
      - up_minpack_ints.diff
      - kde.diff
    - new patches for python3.3 compatibility and test fixing:
      - BUG-remove-inline-statement-rejected-by-cython.patch
      - BUG-fix-dependency-on-dict-ordering-in-test.patch
      - fix-test_basic.py-cephes_vs_amos_mass_te.patch
      - python3.3-incdir.diff
      - fix-dbg-crash.patch
      - fix-f2py-dependencies.patch
  * add autopkgtests
  * run fast tests during build
  * update debian/copyright to dep5

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 25 Jan 2013 23:54:43 +0100

python-scipy (0.10.1+dfsg2-1) unstable; urgency=low

  * add missing cython and swig sources from git tag (Closes: #589731)
  * generate cython c files, requires python-mako and cython build depends
  * ensure that all swig files are regenerated
  * update debian/orig-tar.sh appropriately
  * interpnd-generator.patch: fix the interpnd.pyx generation

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 29 Nov 2012 21:56:31 +0100

python-scipy (0.10.1+dfsg1-4) unstable; urgency=low

  [ Julian Taylor ]
  * use dh_numpy3
    - build depend on python3-numpy >= 1:1.6.2~rc1-1~
  * debian/rules: remove reference to pyshared

  [ Varun Hiremath ]
  * debian/patches:
    - add dtype.diff (Closes: #682030)
    - add up_minpack_ints.diff, thanks to Yaroslav Halchenko (Closes: #681270)

 -- Varun Hiremath <varun@debian.org>  Sat, 21 Jul 2012 17:23:02 -0400

python-scipy (0.10.1+dfsg1-3) unstable; urgency=low

  * wrap-and-sort debian folder
  * add python3 packages (Closes: #664785)
  * debian/rules:
    - split the build into build and install step
    - use .install files instead of direct setup.py install

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Fri, 20 Apr 2012 21:59:33 +0200

python-scipy (0.10.1+dfsg1-2) unstable; urgency=low

  * debian/control:
    - Recommends: python-imaging (Closes: #648036)
    - Recommends: python-dev (Closes: #651760)
  * debian/patches:
    - Add kolmogorov.diff, thanks to Yaroslav Halchenko (Closes: #653948)
    - Add kde.diff (Closes: #648034)

 -- Varun Hiremath <varun@debian.org>  Fri, 20 Apr 2012 02:37:28 -0400

python-scipy (0.10.1+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #653262)
  * Update debian/orig-tar.sh script
  * debian/patches
    - updated restore_sys_argv.patch
    - removed string_exception.patch, not needed

 -- Varun Hiremath <varun@debian.org>  Thu, 19 Apr 2012 16:14:28 -0400

python-scipy (0.9.0+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #614407, #579041, #569008)
  * Convert to dh_python2 (Closes: #617028)

 -- Varun Hiremath <varun@debian.org>  Wed, 06 Apr 2011 21:26:25 -0400

python-scipy (0.8.0+dfsg1-1) experimental; urgency=low

  [ Varun Hiremath ]
  * New upstream release
  * Build-Depend on python-numpy-* (>= 1:1.5.1)
  * Update all the debian/patches/*

  [ Luca Falavigna ]
  * Remove myself from Uploaders.

  [ Stefano Rivera ]
  * debian/patches/blitz++.patch: Fix scipy.weave.inline compilations. Thanks
    to Sameer Morar (Closes: #598520, LP: #302649)

 -- Varun Hiremath <varun@debian.org>  Fri, 24 Dec 2010 08:20:54 -0500

python-scipy (0.7.2+dfsg1-1) unstable; urgency=low

  * Release with a new source tarball with missing cython source files
  * debian/rules: Add get-orig-source target
  * Add debian/README.source explaining the repackaging of source tarball
  * Add debian/orig-tar.sh to add missing cython source files to the
    source tarball (Closes: #589731)
  * debian/rules: add call to dh_numpy to generate stricter versioned
    depends on python-numpy (Closes: #590763)
  * Bump Standards-Version to 3.9.1
  * Add myself to Uploaders

 -- Varun Hiremath <varun@debian.org>  Fri, 30 Jul 2010 18:29:18 -0400

python-scipy (0.7.2-2) unstable; urgency=low

  * debian/patches/string_exceptions.patch:
    - Do not use string exceptions, not supported by Python 2.6.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 07 Jun 2010 14:52:40 +0200

python-scipy (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to debhelper 7.
  * Provide python-scipy-dbg package (Closes: #525329).
  * Add myself to Uploaders.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 25 Apr 2010 17:21:21 +0200

python-scipy (0.7.1-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - removed Marco Presi from uploaders: thanks for your work!

  [ Luca Falavigna ]
  * New upstream release.
    - Fix KeyError exception in sparse module (Closes: #525109).
    - Fix SyntaxWarning exception with python2.6 (Closes: #567148).
  * debian/patches/restore_sys_argv.patch:
    - Restore sys.argv in case of exception (Closes: #500814).
  * debian/control:
    - Depend on ${misc:Depends}.
    - Drop useless Conflicts/Replaces fields.
    - Bump Standards-Version to 3.8.4, no changes required.
  * debian/README.Debian:
    - Remove obsolete information.
  * debian/pycompat:
    - Remove, useless.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Mon, 05 Apr 2010 17:10:56 +0200

python-scipy (0.7.0-2) unstable; urgency=medium

  [ Julien Lavergne ]
  * debian/copyright : Update Copyright holders (Closes: #524131)
  * From Ubuntu, prepare for the future python transition:
   - debian/rules:
    + Include /usr/share/python/python.mk
    + Add $(py_setup_install_args) to setup.py install
    + Replace site-packages by *-packages
   - debian/control:
    + Bump build-depends to python-all-dev (>= 2.5.4-1~)

  [ Luca Falavigna ]
  * Remove patches, they are no longer needed and also causing FTBFS with
    recent python-numpy. Remove quilt machinery too (Closes: #545606).
  * debian/copyright: add missing copyright holder (Closes: #540504).
  * debian/control: bump Standards-Version to 3.8.3, no changes required.
  * debian/watch: fix regex to report correct upstream stable version.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 15 Sep 2009 23:30:12 +0200

python-scipy (0.7.0-1) unstable; urgency=low

  [ Ondrej Certik ]
  * Beta version
  * debian/patches: scipy_include_fix.diff and segfault.patch removed (applied
    upstream),  swig_ftbfs.dpatch and umfpack.dpatch updated to new paths

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ David Cournapeau ]
  * New upstream version
  * Remove obsolete dependencies on libfftw3-dev, libx11-dev and libnetcdf-dev
  * Update version for numpy dependency: scipy requires version >= 1.2.0
  * Set ATLAS to None when building scipy to avoid depending on ATLAS API, and
  only use BLAS/LAPACK public API, even when ATLAS is installed on the build
  machine

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 08 Mar 2009 18:47:03 -0700

python-scipy (0.6.0-12) unstable; urgency=low

  * The description updated to match the current SciPy (Closes: #489149).
  * Standards-Version bumped to 3.8.0 (no action needed)
  * Build-Depends: netcdf-dev changed to libnetcdf-dev

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 16 Jun 2008 22:58:01 +0200

python-scipy (0.6.0-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change description to refer to python-numpy package instead of Numeric
    to avoid confusion with python-numeric package.

 -- Chris AtLee <chris@atlee.ca>  Wed, 23 Apr 2008 15:45:22 -0400

python-scipy (0.6.0-11) unstable; urgency=low

  * Fixes FTBFS, by unexporting LDFLAGS and setting FFLAGS directly, the same
    hack as in numpy (Closes: #475990)

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 14 Apr 2008 14:53:57 +0200

python-scipy (0.6.0-10) unstable; urgency=low

  [Sandro Tosi]
  * Fixes a dangling symlink (Closes: #471825)

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 20 Mar 2008 14:50:31 +0100

python-scipy (0.6.0-9) unstable; urgency=medium

  * Uses correct pycentral locations (Closes: #471549)

 -- Ondrej Certik <ondrej@certik.cz>  Wed, 19 Mar 2008 21:41:12 +0100

python-scipy (0.6.0-8) unstable; urgency=low

  * Build depend on libsuitesparse (>= 3.1.0-3)
  * Build depends fixed to use gfortran based lapack and blas (Closes: #466868)

 -- Ondrej Certik <ondrej@certik.cz>  Sat, 23 Feb 2008 01:21:51 +0100

python-scipy (0.6.0-7) unstable; urgency=low

  * Bumped the version, because python-numpy conflicts with python-scipy (<=
    0.6.0-6). This compiles against the old suitesparse, but it makes the
    package installable and working again.

 -- Ondrej Certik <ondrej@certik.cz>  Thu, 21 Feb 2008 15:38:00 +0100

python-scipy (0.6.0-6) UNRELEASED; urgency=low

  * debian/control
    - uniforming both Vcs-Svn and Vcs-Browser fields

 -- Sandro Tosi <matrixhasu@gmail.com>  Thu, 03 Jan 2008 12:18:46 +0100

python-scipy (0.6.0-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Changed `fftw3-dev' to `libfftw3-dev' to get rid of that dependency
    on a virtual package.
  * Fix FTBFS with relation to swig with a patch provided by
    Kumar Appaiah (Closes: #456892)

 -- Philipp Kern <pkern@debian.org>  Mon, 31 Dec 2007 13:45:10 +0100

python-scipy (0.6.0-5) unstable; urgency=low

  * DM-Upload-Allowed changed to XS-DM-Upload-Allowed
  * standards-version made uptodate (3.7.3)
  * don't create an empty dir usr/share/doc/python-scipy/weave/

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 04 Dec 2007 22:27:48 +0100

python-scipy (0.6.0-4) unstable; urgency=low

  * Use quilt (much eaiser to use) instead of dpatch
  * Paul's patch added (Closes: #452991)
  * Add DM-Upload-Allowed: yes

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 03 Dec 2007 15:33:24 +0100

python-scipy (0.6.0-3) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Ondrej Certik ]
  * Depending on libsuitesparse-dev directly instead of libufsparse-dev
    (Closes: #445771)

 -- Ondrej Certik <ondrej@certik.cz>  Mon, 15 Oct 2007 20:09:07 +0200

python-scipy (0.6.0-2) unstable; urgency=medium

  * Replaced fftw-dev with fftw3-dev in Build-Depends (closes: #444124)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 26 Sep 2007 23:52:25 +0200

python-scipy (0.6.0-1) unstable; urgency=low

  [Ondřej Čertík]
  * New upstream release
  * watch file added

  [Piotr Ożarowski]
  * Homepage field added

 -- Ondrej Certik <ondrej@certik.cz>  Sun, 23 Sep 2007 16:14:35 +0200

python-scipy (0.5.2.1-2) unstable; urgency=low

  * Got rid of all lintian and linda warnings (removed "SciPy is an open
    source library of scientific tools for Python" (first sentence) from the
    long description)
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser fields to the Source
    section

 -- Ondrej Certik <ondrej@certik.cz>  Fri, 31 Aug 2007 04:29:55 +0200

python-scipy (0.5.2.1-1) unstable; urgency=low

  * Adopting the package
  * New upstream release (Closes: #426012)
  * Removed unnecessary patches
  * Removing LICENSE.txt, since it is unnecessary (and it fixes a lintian
    warning)

 -- Ondrej Certik <ondrej@certik.cz>  Tue, 28 Aug 2007 12:03:29 +0200

python-scipy (0.5.2-9) experimental; urgency=low

  * Added Build-Dep on python-numpy (Closes: 422389)
  * Made build independent of the python version (Closes: 414626)
  * Added a new patch on sandbox/montecarlo to fix py2.5 compatibility

 -- Marco Presi (Zufus) <zufus@debian.org>  Fri, 18 May 2007 11:12:31 +0100

python-scipy (0.5.2-8) experimental; urgency=low

  * Fixed compatibility with numpy >= 1.0.2, by importing parts from upstream svn

 -- Marco Presi (Zufus) <zufus@debian.org>  Sat, 21 Apr 2007 22:46:29 +0100

python-scipy (0.5.2-7+b1) unstable; urgency=low

  * Binary-only non-maintainer upload for i386; no source changes.
  * Rebuild to fix binaries built against experimental

 -- Debian/i386 Build Daemon <buildd_i386-saens>  Tue, 27 Feb 2007 02:01:45 -0600

python-scipy (0.5.2-7) unstable; urgency=low

  * Added 'm86k' among the archs on which xplt should not build.

 -- Marco Presi (Zufus) <zufus@debian.org>  Sat, 24 Feb 2007 13:40:42 +0000

python-scipy (0.5.2-6) unstable; urgency=low

  * Merged patch for image viwer from upstream svn

 -- Marco Presi (Zufus) <zufus@debian.org>  Sat, 24 Feb 2007 01:39:18 +0000

python-scipy (0.5.2-5) experimental; urgency=low

  * Added a fix in sandbox/montecarlo tests that prevented installation

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu, 22 Feb 2007 01:33:18 +0000

python-scipy (0.5.2-4) experimental; urgency=low

  * Incorporated code from setup_without_xplt.py into patches/sandbox.dpatch, in order to
    build sandbox/xplt only on supported archs (Closes: #407869).
  * Added libx11-dev among Build-Deps to support xplt.

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu, 22 Feb 2007 00:33:51 +0000

python-scipy (0.5.2-3) experimental; urgency=low

  * Added netcdfg-dev Build-Deps (completed sandbox inclusion)

 -- Marco Presi (Zufus) <zufus@debian.org>  Tue, 20 Feb 2007 23:28:43 +0000

python-scipy (0.5.2-2) experimental; urgency=low

  * Enabled sandbox modules. To this aim randomkit.[ch] are included from
    pyhon-numpy sources. See debian/patches/sandbox.dpatch
    (Closes: #407869).

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 19 Feb 2007 19:26:22 +0000

python-scipy (0.5.2-1) unstable; urgency=low

  * Fixed scipy.signal segfault (closes: #410757)
  * Replaced hard-coded xv command with "see" (from mime-support).
    Additionally, the environment variable SCIPY_PIL_IMAGE_VIEWER can be set.
    (Closes: #395198)

 -- Marco Presi (Zufus) <zufus@debian.org>  Sun, 18 Feb 2007 16:22:03 +0000

python-scipy (0.5.2-0.1) unstable; urgency=medium

  * Remove build dependency on python-numpy-dev.
  * python-scipy: Depend on python-numpy instead of python-numpy-dev.
  * Package builds on other archs than i386. Closes: #402783.

 -- Matthias Klose <doko@debian.org>  Sun,  7 Jan 2007 14:12:12 +0100

python-scipy (0.5.2-0) experimental; urgency=low

  * New upstream version (compatible with python-numpy-1.0.x).
  * (Build-)depend on python-numpy (>= 1:1.0.1).
  * Remove redundant (build-)dependencies.
  * weave examples and docs are removed from the upstream tarball.

 -- Matthias Klose <doko@debian.org>  Wed,  3 Jan 2007 22:37:49 +0100

python-scipy (0.5.1-3) unstable; urgency=low

  * Moved weave/examples into /usr/share/doc/python-scipy/
    and removed *.so files that prevented building on non x86 archs
    (closes: #397241)

 -- Marco Presi (Zufus) <zufus@debian.org>  Sat, 16 Sep 2006 18:46:56 +0200

python-scipy (0.5.1-2) unstable; urgency=low

  * Added swig and libufsparse-dev among Build-deps

 -- Marco Presi (Zufus) <zufus@debian.org>  Mon, 11 Sep 2006 22:05:45 +0200

python-scipy (0.5.1-1) unstable; urgency=low

  * New upstream release

 -- Marco Presi (Zufus) <zufus@debian.org>  Thu,  7 Sep 2006 00:32:07 +0200

python-scipy (0.5.0-3) unstable; urgency=low

  * Re-compiled to reflect C-API changes in numpy.

 -- Marco Presi (Zufus) <zufus@debian.org>  Fri, 18 Aug 2006 01:06:06 +0200

python-scipy (0.5.0-2) unstable; urgency=low

  * Re-added fftw-dev among build-deps.

 -- Marco Presi (Zufus) <zufus@debian.org>  Tue,  8 Aug 2006 17:34:44 -0400

python-scipy (0.5.0-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/python2.3.dpatch now included in upstream release

 -- Marco Presi (Zufus) <zufus@debian.org>  Sun, 30 Jul 2006 00:33:21 +0200

python-scipy (0.4.9-2) unstable; urgency=low

  * Build against new release of python-numpy.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Wed, 05 Jul 2006 18:06:41 +0100

python-scipy (0.4.9-1) unstable; urgency=low

  * New upstream version.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Tue, 04 Jul 2006 16:11:01 +0100

python-scipy (0.3.2-9) unstable; urgency=low

  * Updated to new python policy (closes: #373352)
  * Updated standards to 3.7.2

 -- Alexandre Fayolle <afayolle@debian.org>  Thu, 15 Jun 2006 17:10:49 +0200

python-scipy (0.3.2-8) unstable; urgency=low

  * Changed dependency on libwxgtk2.4-1-python to python-wxgtk2.4 (closes: #333795)
  * Added cow progress bar fix by Glen W. Mabey (closes: #322796)

 -- Alexandre Fayolle <afayolle@debian.org>  Tue,  8 Nov 2005 11:56:51 +0100

python-scipy (0.3.2-7) unstable; urgency=low

  * Depend on libwxgtk2.4-1-python due to new C++ ABI.
  * Do not depend on obsolete blas-dev (Closes: #320441)
  * Drop the python2.2 version due to python2.2-numeric removal.
  * Applied Andreas Jochens' patch fixing gcc4.0 storage class
    error (Closes: #302598)

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Sun, 31 Jul 2005 11:11:42 +0100

python-scipy (0.3.2-6) unstable; urgency=low

  * Added a Suggests: python2.X-profiler in debian/control, made the
    import of pstats optional by patching stats/__init__.py
    (Closes: #296796)

 -- Alexandre Fayolle <afayolle@debian.org>  Fri, 11 Mar 2005 10:54:35 +0100

python-scipy (0.3.2-5) unstable; urgency=low

  * Applied Adam Conrad's patch to allow build on m68k (Closes: #292919)
  * Applied Andreas Jochens' patch fixing gcc4.0 incompatibility and
    syntax error in debian/control (Closes: #288181)

 -- Alexandre Fayolle <afayolle@debian.org>  Thu, 17 Feb 2005 14:49:03 +0100

python-scipy (0.3.2-4) unstable; urgency=low

  * Build for python 2.4.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Mon, 24 Jan 2005 12:25:16 +0000

python-scipy (0.3.2-3) unstable; urgency=low

  * fixed build dependencies on arm (Closes: #277897)

 -- Alexandre Fayolle <afayolle@debian.org>  Sat, 23 Oct 2004 11:28:51 +0200

python-scipy (0.3.2-2) unstable; urgency=low

  * Updated package description
  * removed scipy.xplt on hppa, s390, ia64, mips, mipsel (Closes: #277485)
  * Added note about the missing module in README.Debian

 -- Alexandre Fayolle <afayolle@debian.org>  Fri, 22 Oct 2004 15:05:00 +0200

python-scipy (0.3.2-1) unstable; urgency=low

  * New version.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Mon, 18 Oct 2004 16:28:16 +0100

python-scipy (0.3.0+266.4239-1) unstable; urgency=low

  * Updated to release.
  * Recommends c++-compiler.
  * Dropped python2.1 support.
  * Official package (closes: #126037).
  * Added Alexandre Fayolle and Marco Presi as uploaders
  * Added missing build dependencies

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 13 Sep 2004 23:04:34 +0200

python-scipy (0.2.0+cvs20031002-1) unstable; urgency=low

  * Moved scipy_core into a seperate package.
  * Default to python-2.3.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Thu, 02 Oct 2003 13:31:30 +0100

python-scipy (0.2.0+alpha144.4350-1) unstable; urgency=low

  * Initial Release.

 -- José Fonseca <j_r_fonseca@yahoo.co.uk>  Tue, 01 Jul 2003 13:35:03 +0100
